# -*- coding: utf-8 -*-
#
# Cookbook Name:: pentester
# Attributes:: kippo
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

default['pentester']['kippo']['git_repository'] = 'https://github.com/desaster/kippo'
default['pentester']['kippo']['git_reference'] = 'master'
default['pentester']['kippo']['install_dir'] = '/opt/kippo'
default['pentester']['kippo']['python_runtime'] = 2
default['pentester']['kippo']['txtcmds'] = {}
default['pentester']['kippo']['users'] = ['root:0:123456']

default['pentester']['kippo']['config']['ssh_addr'] = '0.0.0.0'
default['pentester']['kippo']['config']['ssh_port'] = 2222
default['pentester']['kippo']['config']['hostname'] = 'svr03'
default['pentester']['kippo']['config']['log_path'] = 'log'
default['pentester']['kippo']['config']['download_path'] = 'dl'
default['pentester']['kippo']['config']['download_limit_size'] = 0
default['pentester']['kippo']['config']['contents_path'] = 'honeyfs'
default['pentester']['kippo']['config']['filesystem_file'] = 'fs.pickle'
default['pentester']['kippo']['config']['data_path'] = 'data'
default['pentester']['kippo']['config']['txtcmds_path'] = 'txtcmds'
default['pentester']['kippo']['config']['rsa_public_key'] = "#{node['pentester']['kippo']['config']['data_path']}/ssh_host_rsa_key.pub"
default['pentester']['kippo']['config']['rsa_private_key'] = "#{node['pentester']['kippo']['config']['data_path']}/ssh_host_rsa_key"
default['pentester']['kippo']['config']['dsa_public_key'] = "#{node['pentester']['kippo']['config']['data_path']}/ssh_host_dsa_key.pub"
default['pentester']['kippo']['config']['dsa_private_key'] = "#{node['pentester']['kippo']['config']['data_path']}/ssh_host_dsa_key"
default['pentester']['kippo']['config']['exec_enabled'] = true
# default['pentester']['kippo']['config']['out_addr'] = '0.0.0.0'
# default['pentester']['kippo']['config']['sensor_name'] = 'myhostname'
# default['pentester']['kippo']['config']['fake_addr'] = '192.168.66.254'
default['pentester']['kippo']['config']['ssh_version_string'] = 'SSH-2.0-OpenSSH_5.1p1 Debian-5'
default['pentester']['kippo']['config']['banner_file'] = ''
default['pentester']['kippo']['config']['interact_enabled'] = false
default['pentester']['kippo']['config']['interact_port'] = 5123
# default['pentester']['kippo']['config']['database'] = {
#   'mysql' => {
#     'host' => 'localhost',
#     'database' => 'kippo',
#     'username' => 'kippo',
#     'password' => 'secret',
#     'port' => 3306,
#   },
#   'xmpp' => {
#     'server' => 'sensors.carnivore.it',
#     'user' => 'anonymous@sensors.carnivore.it',
#     'password' => 'anonymous',
#     'muc' => 'dionaea.sensors.carnivore.it',
#     'signal_createsession' => 'kippo-events',
#     'signal_connectionlost' => 'kippo-events',
#     'signal_loginfailed' => 'kippo-events',
#     'signal_loginsucceeded' => 'kippo-events',
#     'signal_command' => 'kippo-events',
#     'signal_clientversion' => 'kippo-events',
#     'debug' => true,
#   },
#   'textlog' => {
#     'logfile' => 'kippo-textlog.log',
#   },
# }
